import { Injectable } from "@angular/core";
import { DiscoverHost, Zone } from "@overflow/model/discovery";

@Injectable({
  providedIn: 'root'
})
export class DiscoveryConfigService {

  discoverHost: DiscoverHost;
  zone: Zone;

  public setZone(zone: Zone): void {
    this.zone = zone;
  }

  public getZone(): Zone {
    return this.zone;
  }

  public setDiscoverHost(discoverHost: DiscoverHost): void {
    this.discoverHost = discoverHost;
  }

  public getDiscoverHost(): DiscoverHost {
    return this.discoverHost;
  }
}